Subject: RE: I-D ACTION:draft-ietf-l3vpn-bgp-ipv6-05.txt]

From: "Francois Le Faucheur \(flefauch\)" <[email-masked]>
Date: Thu, 24 Feb 2005 11:28:16 +0100

Hello,

As explicitely stated in draft-ietf-l3vpn-bgp-ipv6, this document does not concern itself with v4/v6 interworking. It has already undergone last call with that scope definition. There is no reason to change that.

If it is needed, IPv4/IPv6 interworking should be documented in a separate document. 
On that front, one suggestion would be to start by clarifying why/under_which_secnarios the existing IPv4/IPv6 mechanisms fall short in a BGP/MPLS VPN context and whether these scenarios are important for operators.

Cheers

Francois

>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] 
>> On Behalf Of [email-masked]
>> Sent: jeudi 24 février 2005 09:59
>> To: Li Defeng
>> Cc: [email-masked]
>> Subject: Re: I-D ACTION:draft-ietf-l3vpn-bgp-ipv6-05.txt]
>> 
>> Hi,
>> 
>> I really think that draft-ietf-l3vpn-bgp-ipv6-05.txt and 
>> draft-defeng-l3vpn-ipv4-ipv6-hybrid should NOT be merged.
>> 
>> The drafts discuss completely different and orthogonal 
>> issues (offering 
>> IPv6 VPNs over an IPv4 or IPv6 core versus support for inter-working 
>> between IPv4 and IPv6 sites/networks).
>> 
>> The drafts include different technologies and solutions (e.g. 
>> draft-defeng talks about technologies like NAT-PT).
>> 
>> The draft greatly differ in maturity and in status 
>> (draft-ietf-l3vpn-bgp-ipv6 was reviewed by 2 WGs and passed 
>> WG last call 
>>   while draft-defeng is an (expired?) individual draft).
>> 
>> Li Defeng wrote:
>> 
>> [...]
>> 
>> > so I
>> > hope these two drafts can be merged so that IPv4/IPv6 
>> hybrid VPN can
>> > also be resolved.
>> 
>> If it is deemed necessary, then IPv4/IPv6 hybrid VPN can 
>> perfectly be 
>> resolved autonomously, without merging these two documents.
>> 
>> regards,
>> Jeremy.
>>